org.eclipse.handly.ui.callhierarchy

## Enum CallHierarchyKind

- java.lang.Object
- - java.lang.Enum<CallHierarchyKind>
  - - org.eclipse.handly.ui.callhierarchy.CallHierarchyKind

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<CallHierarchyKind>

      public enum CallHierarchyKind
      extends java.lang.Enum<CallHierarchyKind>

  Enumeration of the call hierarchy kinds.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CALLEE` The callee hierarchy.
    `CALLER` The caller hierarchy.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static CallHierarchyKind` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static CallHierarchyKind[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CALLER

          public static final CallHierarchyKind CALLER

      The caller hierarchy.

    - #### CALLEE

          public static final CallHierarchyKind CALLEE

      The callee hierarchy.

  - ### Method Detail

    - #### values

          public static CallHierarchyKind[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CallHierarchyKind c : CallHierarchyKind.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static CallHierarchyKind valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright (c) 2014, 2020 1C-Soft LLC and others. Made available under the Eclipse Public License 2.0